curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/academicSessions/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"academicSession": {
"sourcedId": "<string>",
"status": "active",
"title": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"type": "gradingPeriod",
"schoolYear": "<string>",
"org": {
"sourcedId": "<string>"
},
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"parent": {
"sourcedId": "<string>"
},
"children": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
]
}
}
'{
"sourcedId": "<string>",
"status": "active",
"title": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"type": "gradingPeriod",
"schoolYear": 123,
"org": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"parent": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"children": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
]
}To update an existing Academic Session. The sourcedId for the record to be updated is supplied by the requesting system.
curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/academicSessions/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"academicSession": {
"sourcedId": "<string>",
"status": "active",
"title": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"type": "gradingPeriod",
"schoolYear": "<string>",
"org": {
"sourcedId": "<string>"
},
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"parent": {
"sourcedId": "<string>"
},
"children": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
]
}
}
'{
"sourcedId": "<string>",
"status": "active",
"title": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"type": "gradingPeriod",
"schoolYear": 123,
"org": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"parent": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"children": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the academic session to update
Show child attributes
Academic session updated
Represents an academic session.
active, tobedeleted gradingPeriod, semester, schoolYear, term Show child attributes
Additional metadata for the object
Show child attributes
Show child attributes